/*
		Avg_diam	centerlist	diamfile

		This program reads a list of center values as produced
		by find_center, averages the diameter values
		and writes out a file containing that number.
		Files are ascii.
*/


#include		<stdio.h>
#include		<errno.h>
#include		"dim.h"

main(argc,argv)
char		**argv;
int		argc;
{
FILE		*centerfile,*centerlist,*diamfile;
void		doshift();
char		filename[80],*p;
int			i,j,code,read(),write();
float		xi,Diam,xshi,yshi,diam;
register	float	*fp;
register	short	*ip;

if ( argc == 3 )
	{
	p = *++argv;
	if ( ( centerlist = fopen ( p,"r" ) ) < (FILE*)0 )
		{
		fprintf ( stderr," open error %d %s\n",centerlist,p );
		goto usage;
		}

	p = *++argv;
	if ( ( diamfile = fopen ( p,"w" ) ) < (FILE*)0 )
		{
		fprintf ( stderr," open error %d %s\n",diamfile,p );
		goto usage;
		}
	}
else
	goto usage;

for ( Diam=0.,i=0 ; feof(centerlist) == 0 ; i++ )
	{
	fscanf ( centerlist,"%s\n",filename );
	centerfile = fopen ( filename,"r" );
	fscanf ( centerfile,"%f %f %f\n",&xshi,&yshi,&diam );
	Diam = Diam + diam;
	}
xi = i;
Diam = Diam/xi;

fprintf ( diamfile,"%f\n",Diam );

fclose ( centerlist );
fclose (diamfile );

exit ( 0 );

usage:
	fprintf (stderr, "avg_diam centerlist diamfile\n" );
	exit (-1);

}

