/*
		normalize arg < infile > outfile

		Normalize the center of an image to specified value

		arg is a floating point constant 
*/


#include		<stdio.h>
#include		<stdlib.h>
#include		<errno.h>
#include		<fcntl.h>
#include		"dim.h"

main(argc,argv)
char		**argv;
int		argc;
{
FILE		*accumlist;
char		filename[80],*p;
int			isafile,fdimg,i,j,k,code,read(),write();
int			xfirst,yfirst,xcen,ycen;
short		*img;
float		*accum,norm;
register	float	ftemp,tot;
register	short	*ip,*op,stemp;

int			nrow,ncol,record;

sscanf ( getenv ( "XDIM" ),"%d",&ncol );
sscanf ( getenv ( "YDIM" ),"%d",&nrow );
record = 2*ncol;
if ( ncol == 0 ) 
	{
	ncol = NCOL;
	nrow = NROW;
	record = RECORD;
	}
img = (short*)malloc ( (size_t)(2*ncol*nrow) );
/*fprintf ( stderr,"%d %d\n",ncol,nrow );*/


isafile = 0;
if ( argc == 2 )
	{
	p = *++argv;
	sscanf ( p,"%f",&norm );
	}

else
	{
usage:fprintf ( stderr,"usage: normalize arg  (arg is float)\n" );
		exit ( 1 );
	}

xcen = (ncol-1)/2;
ycen = (nrow-1)/2;
xfirst = xcen-32;
yfirst = ycen-32;

	code = read ( 0,img,ncol*nrow*2 );
	
	tot = 0.;
	for ( j=yfirst ; j<yfirst+64 ; j++ )
		{
		ip = img;
		ip += xfirst;
		ip += j*ncol;
		for (i=0; i<64 ; i++ )
			tot += *ip++;
		}
	tot = norm*(64.*64.)/tot;

	ip = img;
	op = img;
	for ( j=0 ; j<nrow ; j++ )
		for (i=0; i<ncol ; i++ )
			{
			ftemp = *ip;
			ftemp *= tot;
			stemp = ftemp + 0.5;
			*op = stemp;
			ip++;
			op++;
			}

write ( 1,img,record*nrow);

exit ( 0 );

}

