/*
                disk(img,del_diam,xshi,yshi,diam)
                
                A routine to draw a disk at position xshi and yshi
		from the "center" with correction del_diam to the diameter.

*/


#include                <stdio.h>
#include                <math.h>
#include                "dim.h"

int
disk(img,del_diam,xshi,yshi,diam)
    short *img;
    float del_diam,xshi,yshi,diam;

{
    register short *ip;
    int    ii,jj;
    double rad,x,y,y2,xcen,ycen;
    double sqrt();
    
    diam = diam + del_diam;                  /* disk is too large otherwise */
    xcen = (ncol-1.)*0.5 - xshi;
    ycen = (nrow-1.)*0.5 - yshi;
    
    rad = (double)diam*0.5;
    
    ip = img;
    for(ii=0;ii<nrow;ii++) {
	y = (double)ii-ycen;
	y2 = y*y;
	for (jj=0 ;jj<ncol;jj++ ) {
	    x = (double)jj-xcen;
	    if ( sqrt(x*x + y2) < rad )  *ip++ = INORM;
	    else                         *ip++ = 0;
	}
    }
}
