/*
                bin_fts  -- nearly like David's bin code,
			     but will work around a fts header...
*/

#include                <stdio.h>
#include                <stdlib.h>
#include                <errno.h>
#include                "dim.h"

short img[IMSZ];

main(an,av) int an; char *av[];
{
    int   ii,jj,kk;
    int   nrow,ncol,imsz,im_nbytes;
    int   isfts=0;

    nrow = NROW;
    ncol = NCOL;
    imsz = IMSZ;
    im_nbytes=sizeof(short)*imsz;

    if ( an <= 1 ) { prsum() ; exit(3) ; }

    while (--an) { /* Read in any arguments, and make a list of the files. */
        w = *++av ;
        if (*w == '?') { prsum(); exit(2); }
        if (*w == '-') { /* Check for flag arguments. */
            switch (w[1]) {
                case 'f':   --an ; w = *++av;
                            isfts++;
                            break;
                default :
                            fprintf (stderr," unknown flag %s\n",*av);
                            prsum(); exit(1);
            }
            continue;
       }
       sprintf(filenm,"%s",w);
       readimg(filenm,img);
    }
}
prsum() {
    static char help[] = "\
bin_fts [-fts] [file1] [file2] ... [fileN]\n\
\n\
Example: bin_fts -fts 95d265.203044.hfr 95d265.203205.hfr 95d265.203355.hfr\n\
\n\
Example: bin_fts -fts 95d265.203102.cfr 95d265.203220.cfr 95d265.203330.cfr\n\
\n\
This code bins a chip image.\n\
\n\
Flags          Description\n\
-----          -----------\n\
-fts           strip off the fts header before binning.\n\
\n\
";
 
    fputs (help,stderr);
}
