/*
        half_over(img,oimg)
        
	     omig = (oimg <= NORM*0.5) ? NORM*0.5
				       : oimg;
	      img = NORM * img/oimg;
*/

#include        <stdio.h>
#include        "dim.h"

int
half_over(img,oimg)     short *img, *oimg;
{
    register short   *ip,*op;
    register int     ii, temp;
    short            hnorm;
    float            rndr=0.5005;

    hnorm = (short)( rndr + NORM*0.5);

    ip = img;
    op = oimg;
    for(ii=0;ii<imsz;ii++) {
	*op  = (*op <= hnorm) ? hnorm 
			      : *op      ;

	temp = (int)(rndr + NORM * ((float)(*ip) / (float)(*op)) );

	*ip  = (short)temp;
	ip++;
	op++;
    }
}
