/******************************************************************************
    Name:    mcc_cmd.h

    Purpose:    Defines for the legal commands to the mcc
        from the network

    Author:    David Elmore

    Date:    Thu Aug 24 14:16:21 MDT 1995

******************************************************************************/

#define    NUM_CMD        9

#define    GET_STATUS        0
#define    SET_OPTICS        1
#define    SET_WAVE        2
#define    SET_ELEMENT        3
#define    DEFINE_WAVESTATE    4
#define    SET_WAVESTATE    5
#define    SET_MOD        6
#define    DEFINE_MODSTATE    7
#define    SET_MODSTATE    8
#define    SET_MICROMETER    9
#define    FIX_CENTER        10

/* When a command is echoed it comes back with the command and status */
#define    PERMISSION_DENIED     -1
#define    STAT_ILLEGAL_CMD    -3
#define    INVALID_ARGUMENT     -4
#define    STAT_TIMEOUT    -5
#define    DEV_PEND        254
#define    DEV_BUSY        255
