/***********************************************************
Name:
    net.h

Purpose:
    Specify all the variables needed for network

Author:
    David Elmore

Date:
    Fri Jul 28 09:29:57 MDT 1995
**************************************************************/

#define    NET_BYTES    512
#define    NUM_HOST    3
#define    KII        1
#define    AKALA    2 
#define    NENE    4
#define NET_TIMEOUT    99

#ifdef    START

struct    sockaddr_in    server_cmd;
struct    sockaddr_in    server_stat;
struct    sockaddr_in    server_dis;
struct    sockaddr_in    server_disk;
struct    sockaddr_in    server_echo[3];
struct    sockaddr_in    server_reply[3];
int net_bytes = NET_BYTES;
int net_words = NET_BYTES>>2;
int    Sock_cmd = -1;
int    Sock_stat = -1;
int    Sock_dis = -1;
int    Sock_disk = -1;
int Sock_reply[3] = {-1,-1,-1};
int Sock_echo[3] = {-1,-1,-1};
int    sock_num_stat =     1079;
int    sock_num_dis =     1078;
int    sock_num_disk =    1077;
int    sock_num_cmd =     1080;
int    sock_num_reply[3] = {1084,1085,1086};
int    sock_num_echo[3] = {1081,1082,1083};
int    stat_buf[NET_BYTES>>2];
int    dis_buf[NET_BYTES>>2];
int    disk_buf[NET_BYTES>>2];
int    cmd_buf[NET_BYTES>>2];
int    reply_buf[NET_BYTES>>2];
int    echo_buf[NET_BYTES>>2];
int host_map[5] = {0,0,1,2,2};
char    *target_inet = {"128.171.231.80"};
char    *host_inet[3] = {"128.171.231.73","128.171.231.71","128.171.231.74"};

#else

extern    struct    sockaddr_in    server_cmd;
extern    struct    sockaddr_in    server_stat;
extern    struct    sockaddr_in    server_dis;
extern    struct    sockaddr_in    server_disk;
extern    struct    sockaddr_in    server_reply[3];
extern    struct    sockaddr_in    server_echo[3];
extern    int net_bytes;
extern    int net_words;
extern    int    Sock_cmd;
extern    int    Sock_stat;
extern    int    Sock_dis;
extern    int    Sock_disk;
extern    int    Sock_reply[3];
extern    int    Sock_echo[3];
extern    int    sock_num_cmd;
extern    int    sock_num_stat;
extern    int    sock_num_dis;
extern    int    sock_num_disk;
extern    int    sock_num_reply[3];
extern    int    sock_num_echo[3];
extern    int    cmd_buf[NET_BYTES>>2];
extern    int    stat_buf[NET_BYTES>>2];
extern    int    dis_buf[NET_BYTES>>2];
extern    int    disk_buf[NET_BYTES>>2];
extern    int    reply_buf[NET_BYTES>>2];
extern    int    echo_buf[NET_BYTES>>2];
extern    int    host_map[5];
extern    char    *target_inet;
extern    char    *host_inet[3];

#endif

