#include <stdio.h>
#include <ctype.h>

#include "acos.h"
#include "acos_header.h"

char usage[] = "\
Reads the header of a chip file...\n\
and moves the file to an appropriate filename.\n\
\n\
namechip tape_file \n";

struct acos_header acos , *a;

char mvit[200];
char lsit[200];
char line[200];

main (an, av) char *av[]; {
    int doy;
    int ii,jj;
    int nfile=0;
    char *p , filenm[200] , Filenm[200];
    FILE *ifid, *pfid;
    char *fgetl() ;

    if ( an <= 1 ) { prsum() ; exit(-5) ;
    }

    a = &acos;

    while (--an) {
	if (*(p = *++av) == '-')		/* flag arguments */
	    switch (p[1]) {
	    default:   fprintf (stderr," unknown flag %s\n",*av);
		       prsum(); exit(1);
	    }
	else {
	    if (*p == '?') { prsum(); exit(2); }
	    if ((ifid = fopen (p, "r")) == NULL) {
		fprintf (stderr,"Could not open file %s\n",p);
		continue;
	    }
	}
	if ((jj = fread (a, 1, sizeof(struct acos_header), ifid)) > 0) {
	    fclose(ifid);

	    NameChip(filenm,a);

	    nfile=1;
	    sprintf(Filenm,"%s.%04d"
		,filenm
		,nfile);

	    sprintf(line,"");
	    sprintf(lsit,"ls %s\n",filenm);         pfid=popen(lsit,"r+");
	    fgetl  (line,sizeof(line),pfid);        ii=pclose(pfid);

	    if( strlen(line) <= 1) {   /* filenm does not already exist. */
		sprintf(mvit,"mv %s %s\n",p,filenm);
		pfid=popen(mvit,"r+"); ii=pclose(pfid);
	    }
	    else {
		fprintf(stderr,"\tFile  %s  had the same filename as: \t %s \n",
		       p,filenm);

		/*
		fprintf(stdout,"\t\t%s exists... try to fix...\n",line);
		sprintf(lsit,"ls %s\n",Filenm); 
		pfid=popen(lsit,"r+");

		while ( fgetl (line,sizeof(line),pfid)) {
		    ii=pclose(pfid);
		    sprintf(Filenm,"%s.%04d"
			,filenm
			,nfile++);
		    sprintf(lsit,"ls %s\n",Filenm);
		    pfid=popen(lsit,"r+");
		}
		ii=pclose(pfid);
		sprintf(mvit,"mv %s %s\n",p,Filenm);
		pfid=popen(mvit,"r+"); ii=pclose(pfid);
		*/
	    }



	}
	else {
	    fprintf(stderr,"\t\tError reading header...\n\n");
	    continue;
	}
    }
}

prsum () {
   fprintf (stderr,usage);
}


/* From /hao/src/lib/misc/fgetl.c     */

char *eos;
 
char *
fgetl (s, n, iop) char *s; register int n; register FILE *iop; {
	register int c;
	char *cs = s;

	if ((iop->_flag & (_IONBF | _IOLBF)) == (_IONBF | _IOLBF)) {
	    c = read (fileno (iop), cs, --n);
	    if (c <= 0) iop->_flag |= (c-- < 0 ? _IOERR : _IOEOF);
	    else {
		cs += c;
		if (*(cs-1) == '\n') *--cs = '\0'; } }
	else if (feof (iop)) c = -1;
	else
	    while (--n > 0 && (c = getc (iop)) >= 0) {
		if (c == '\n') break;
		*cs++ = c; }
	eos = cs;
	if (c < 0 && cs == s) return (NULL);
	*cs = '\0';
	return (s);
}
