/*
        norm_over(img,oimg)
        
                  img = (oimg <= 0) ? NORM
                                    : NORM * img/oimg;
*/

#include        <stdio.h>
#include        "dim.h"

int
norm_over(img,oimg)     short *img, *oimg;
{
    register short   *ip,*op;
    register int     ii, temp;
    float            rndr=0.5005;

    ip = img;
    op = oimg;
    for(ii=0;ii<imsz;ii++) {
	temp = (*op == 0) ?             INORM  
                          : (int)(rndr + NORM * ((float)(*ip) / (float)(*op)) );
	*ip  = (short)temp;
	ip++;
	op++;
    }
}
