;  
; This is a DFE modification to Alice's original code.
; See her for a version less mangled
;
; Note environment variables set for image x dimension, y dimension
; and min and max scale factors.
; You might to create a script to set these for a particular
; instrument. ie
; alias asp "setenv XDIM 256;setenv YDIM 240;setenv MINI 0;setenv MAXI 20000"
;
str = getenv('XDIM')
reads,str,xdim
str = getenv('YDIM')
reads,str,ydim
str = getenv('MINI')
reads,str,mini
str = getenv('MAXI')
reads,str,maxi

; Default values for binned chip data

if ( xdim eq 0 ) then  xdim = 767
if ( ydim eq 0 ) then  ydim = 516
if ( maxi eq 0 ) then  maxi = 10000

pixX = xdim
pixY = ydim
minX = pixX/2-64
maxX = minX+128
minY = pixY/2-64
maxY = minY+128
bleep=intarr(pixX,pixY) 
mni=mini
mxi=maxi
 
filenm=' '
listfile='anilist' 
 
init='y'      ; init can be set to 'n'  once everything
	      ; has been initialized, 
	      ; i.e. once this routine has been run once... 



    ; When you want to stop animating, hit any character. 
    ; You might then have to do a "retall" in idl
 
nelm = n_elements(bleep(minX:maxX,minY:maxY))
 
if ( init eq 'y') then begin ;{ 

    close,13 & openr,13,listfile
    ii=0 
    while ( not eof(13) ) do begin & readf,13,filenm & ii=ii+1 & endwhile
    close,13
    numimgs=ii
    print,ii," images"
 
    loadct,3
    xanimate,set=[pixX,pixY,numimgs,0] 
 
    close,13 & openr,13,listfile

    ii=0 
    while ( not eof(13) ) do begin ;{
        readf,13,filenm
	print,'opening:',filenm
        close,1 & openr,1,filenm  
        readu,1,bleep & close,1 

	tv,bytscl(bleep,mni,mxi)
        xanimate,image=bytscl(bleep,mni,mxi),frame=ii 
        ii=ii+1
    endwhile ;} 
 
    close,13
 
endif ;} 
 
    xanimate,5.0 
    ; When you want to stop animating, hit ^C. 
    ; You might then have to do a "retall" in idl 
 
end 
