itype=' '
str=' '
xdim=0 & ydim=0
;str = getenv('XDIM')  &  reads,str,xdim
;str = getenv('YDIM')  &  reads,str,ydim
;str = getenv('ITYP')  &  itype = str


if ( xdim eq 0 and ydim eq 0 ) then  begin
    xdim = 1024
    ydim = 1024
    xdim = 1534
    ydim = 1030
    itype = 'cal'
endif

print,xdim,ydim

pixX = xdim
pixY = ydim
scl=1 & xs=(xdim/scl) & ys=(ydim/scl)
minX = pixX/2-64
maxX = minX+128
minY = pixY/2-64
maxY = minY+128
bleep=intarr(pixX,pixY)

cr= replicate(string("10b),80) ;  This backspaces over the line just written.

 
mni=8000                ; 8000 best HAO ;9500 for KPNO scale
mxi=10500               ;10500
if     ( itype eq 'cal' ) then begin ;{
    mni=8000 & mxi=10500
endif else begin ;}{
    if( itype eq 'bxr' ) then begin
        mni=5 & mxi=15
    endif else begin
        mni=8000 & mxi=10500
    endelse
endelse ;}


filenm=' '    &   listfile='anichiplist'
 
if ( n_elements(init) ne 0) then begin;{ 
    print,'Do you want to initilize? (y or n) '
    read,init
endif else begin ;}{
    init='y'      ; init can be set to 'n'  once everything
		  ; has been initialized, 
		  ; i.e. once this routine has been run once... 
endelse ;}

if ( n_elements(apause) eq 0) then apause=0.05

 
if ( init eq 'y') then begin ;{ 

    ; Load the red color table.
	loadct,3

    ; Count the images
	close,13 & openr,13,listfile
     
	ii=0 
	while ( not eof(13) ) do begin & readf,13,filenm & ii=ii+1 & endwhile
	close,13
	numimgs=ii
	print,' '
	print,ii,'  images...'
	print,' '


    swin=0
    wdelete,swin
    if n_elements(pwin) gt 1 then $
                for i=0,n_elements(pwin)-1 do $
                        if pwin(i) ge 0 then wdelete,pwin(i)
        pwin = replicate(-1, numimgs)   ;Pixwin indices
        window,retain=0, swin, xsize = xs, ysize = ys, xpos=300,ypos=100
        wset, swin
 
    close,13 & openr,13,listfile
 
    for kk=0,numimgs-1 do begin ;{
        readf,13,filenm  
        form="($,'Image: ',i3,a30,80a)"  &  print,form=form,kk,filenm,cr
        close,1 & openr,1,filenm
        readu,1,bleep & close,1
 
        barn=bytscl(rebin(bleep(0:xs*scl-1,0:ys*scl-1),xs,ys),mni,mxi)
	    
	    old_window = !d.window
	    if pwin(kk) lt 0 then begin  ;Create window?
		    window, /free, xs = xs, ys = ys, /pixmap
		    pwin(kk) = !d.window
		    endif
	    wset, pwin(kk)
	    tv,barn
	    xyouts,5,5,filenm,/dev,charsize=2.
	    wset, old_window
    endfor ;} 
 
    close,13
 
endif ;} 
 

close,1
fpos=lonarr(numimgs) & ftmp=long(0)   &   fp=0
ofpos=lonarr(numimgs) & oftmp=long(0)   &   ofp=0

wait=3  ; Cursor transition down wait...
                  
lfilenm=listfile

print,'    The left two buttons go forward and backward in the image list.'
print,' '


close,13 & openr,13,lfilenm

wset,swin
wshow,swin
                  
while ( 1 ) do begin ;{
    point_lun,-13, ftmp  &  fpos( fp)= ftmp
    readf,13,filenm   

    form="($,a50,80a)"  
    print,form=form,$
        '                                                            ',cr
    print,' ',filenm
    device, copy = [ 0, 0, xs, ys, 0, 0, pwin(fp)]

    wait,apause
    
    form="($,a50,80a)"  
    print,form=form,'Click mouse in window 0  for fwds or bkwds',cr
    wset,0 & cursor,x,y,/NORMAL  &  mousey= !ERR
    if ( mousey eq 2 ) then begin ;{
	print,form=form,$
        ' -----------------------  Going backwards ------------------',cr
	; Adjust the input list pointer backwards...
	    fp=fp-1  & if (fp le 0) then fp=0
	    point_lun,13,fpos(fp)
    endif else begin ;}{
	fp=fp+1  &  doprint=1

	if(fp gt numimgs-1) then begin ;{
	    fp=fp-1 & ofp=ofp-1 
	    fp=0    & ofp=0    
	    point_lun,13,fpos(fp)
	endif ;}

    endelse ;}
endwhile ;}
                  
close,13
end
