/*
		Fix the bias sag in the vertical direction
		in images taken with Megaplus

		A reference value is computed from first
		100 columns starting at second and subrtacted
		from all pixels in the row.
		First row is skipped as header may be there
		Next four rows are skipped as they contain junk
*/


#include		<stdio.h>
#include		<stdlib.h>
#include		<errno.h>
#include		<fcntl.h>
#include		<math.h>
#include		"dim.h"

main(argc,argv)
char		**argv;
int		argc;
{
int			nrow,ncol,record;
int			ii,jj,read(),write();
short		stot,*img,*ip;
float		tot;

sscanf ( getenv ( "XDIM" ),"%d",&ncol );
sscanf ( getenv ( "YDIM" ),"%d",&nrow );
record = 2*ncol;
if ( ncol == 0 ) 
	{
	ncol = NCOL;
	nrow = NROW;
	record = RECORD;
	}
img = (short*)malloc ( (size_t)(2*ncol*nrow) );


/* Copy in and out the header row */
	read ( 0,img,record );
	write ( 1,img,record);
/* Zero junk rows */
	for ( jj=1 ; jj<5 ; jj++ )
		{
		read (0,img,record);
		ip = img;
		for ( ii=0 ; ii<ncol ; ii++ )
			*ip++ = 0;
		write ( 1,img,record);
		}
/* For other rows correct starting at second column */
/* Zero out the first column */
for ( jj=1; jj<nrow ; jj++)
	{
	read ( 0,img,record );
	ip = img;
	ip++;
	tot = 0.;
	for ( ii=1 ; ii<=100 ; ii++ )
		tot += 1. * *ip++;
	tot = tot/100.;
	stot = tot;
	ip = img;
	*ip++ = 0;
	for ( ii=1 ; ii<ncol ; ii++ )
		{
		*ip = *ip - stot;
		*ip++;
		}
	write ( 1,img,record);
	}

exit ( 0 );

}

