/*
		flip_chip < infile > outfile
		Flip a chip image top to bottom
		This converts fts back to raw format.
		Use strip_header 5760 first.
*/

#include		<fcntl.h>
#include		<stdio.h>
#include		<stdlib.h>
#include		<errno.h>
#include		"dim.h"
main(argc,argv)
char	**argv;
int		argc;
{
char		*p ;
int			nbytes,j,i,code;
register	char		*buf,*bp;

int			nrow,ncol,record;

sscanf ( getenv ( "XDIM" ),"%d",&ncol );
sscanf ( getenv ( "YDIM" ),"%d",&nrow );
record = 2*ncol;
if ( ncol == 0 ) 
	{
	ncol = NCOL;
	nrow = NROW;
	record = RECORD;
	}
buf = malloc ( (size_t)(2*ncol*nrow) );

/*fprintf ( stderr,"%d %d\n",ncol,nrow );*/

/* Read the header-striped image */

bp = buf;
for ( j=0 ; j<nrow ; j++ )
	{
	if ( ( code = read ( 0,bp,record) ) != record )
		{
		fprintf ( stderr," write error %d %s\n",code,p );
		exit ( 1 );
		}
	bp += record;
	}


bp = buf;
bp += record*nrow;

for ( j=0 ; j<nrow ; j++ )
	{
	bp -= record;
	if ( ( code = write ( 1,bp,record) ) != record )
		{
		fprintf ( stderr," write error %d %s\n",code,p );
		exit ( 1 );
		}
	}

}

