/*
        get_mlsoair

        get_mlsoair < filename > anglefile
        Extract zenith angle from ACOS header and compute
	airmass for MLSO
*/


#include        <stdio.h>
#include        <stdlib.h>
#include        <errno.h>
#include        <math.h>
#include        "dim.h"

main(argc,argv)
char        **argv;
int        argc;
{
    int            code,read();
    int            *img,nrow=0,ncol=0,record;
    float			ang,*fp;
    
    sscanf ( getenv ( "XDIM" ),"%d",&ncol );
    sscanf ( getenv ( "YDIM" ),"%d",&nrow );
    record = 2*ncol;
    if ( ncol == 0 ) {
        ncol = NCOL;
        nrow = NROW;
        record = RECORD;
    }
    img = (int*)malloc ( (size_t)(2*ncol) );
    
    if ( ( code = read( 0,img,record ) ) != record ) {
            fprintf ( stderr,"get_sum: read error %d\n",code );
            exit ( 1 );
    }
    
	fp = (float*)img;
    fp += 21;  /* This points to the elevation angle. */
    ang = 90. - *fp;
    ang = ang ;
    ang = 1./cos(.01745*ang);
    fprintf ( stdout,"%f\n",ang );
}
