/*
        Total

        total limit < filename
        Compute total of the array
*/


#include        <stdio.h>
#include        <stdlib.h>
#include        <errno.h>
#include        <math.h>
#include        "dim.h"

main(argc,argv)
char        **argv;
int        argc;
{
    char        *p;
    int            i,j,code,read(),write();
    double        limit,total;
    short        *img;
    register    short    *ip;
    
    int            nrow,ncol,record,im_nbytes,imsize;

    sscanf ( getenv ( "XDIM" ),"%d",&ncol );
    sscanf ( getenv ( "YDIM" ),"%d",&nrow );
    record = 2*ncol;
    if(ncol==0) {ncol=NCOL;nrow=NROW;record=RECORD;}
    imsize    = nrow*ncol;
    im_nbytes = sizeof(short)*imsize;

    img = (short*)malloc ( (size_t)(im_nbytes) );
    
    if ( argc > 1 ) {
        p = *++argv;
        sscanf ( p,"%lf",&limit );
    }
    
    if ( ( code = read( 0,img,im_nbytes ) ) != im_nbytes ) {
            fprintf ( stderr,"total: read error %d\n",code );
            exit ( 1 );
    }
    /*fprintf ( stderr,"%d %d %lf\n",ncol,nrow,limit );*/
    
    ip = img;
    total = 0.;
    for ( j=0 ; j<imsize ; j++ ) total += (double)*ip++;
    
    total = total/(double)imsize;
    
    fprintf ( stdout,"total: limit %.2lf, total %.2lf\n",limit,total );
    
    total = fabs(total);
    if ( total < limit )
        exit ( 1 );
    else
        exit ( 0 );
}
