/* ear.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Equal Area Radii.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   13 September 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

ear (crradius)

float crradius ;

{
    int i, ir ;
    int r1, r2 ;
    int kr ;
    int ka ;
    float area ;
    float area1, area2 ;

    kr = (int) (crradius + 0.5) ;

    r2 = kr ;
    r1 = kr - 3 ;

    area2 = pi * r2 * r2 ;
    area1 = pi * r1 * r1 ;
    area = area2 - area1 ;

    i = 0 ;
    for (ir = 0 ; ir < kr ; ir++)
	{
	r1 = i ;
	r2 = r1 + 1 ;
        area2 = pi * r2 * r2 ;
        area1 = pi * r1 * r1 ;
        area = area2 - area1 ;
	}

    return (0) ;
}
