/*
		over arg <infile >outfile
		arg is signed integer constant or a filename
*/

#include		<fcntl.h>
#include		<stdio.h>
#include		<stdlib.h>
#include		<errno.h>
#include		"dim.h"

main(argc,argv)
char	**argv;
int		argc;
{
char		*p;
int			file,isafile,j,i,code;
short		*buf,*numbuf;
register	short		s,*np,*fp,*ip;
register	int			temp;

int			nrow,ncol,record;

sscanf ( getenv ( "XDIM" ),"%d",&ncol );
sscanf ( getenv ( "YDIM" ),"%d",&nrow );
record = 2*ncol;
if ( ncol == 0 ) 
	{
	ncol = NCOL;
	nrow = NROW;
	record = RECORD;
	}
buf = (short*)malloc ( (size_t)(2*ncol) );
numbuf = (short*)malloc ( (size_t)(2*ncol) );
/*fprintf ( stderr,"%d %d\n",ncol,nrow );*/


isafile = 0;
if ( argc > 1 )
	{
	p = *++argv;
	if ( ( *p != '+' ) && ( *p != '-' ) )
		{
		isafile = 1;
		if ( ( file = open ( p,O_RDWR ) ) < 0 )
			{
			fprintf ( stderr," open error %d %s\n",file,p );
			goto usage;
			}
		}
	else 
		{
		sscanf ( p,"%d",&i );
		s = i;
		np = numbuf;
		for ( i=0 ; i<ncol ; i++ )
			*np++ = s;
		}
	}

else
	{
usage:	fprintf ( stderr,"usage: over arg  (arg is a file or const.)\n" );
		exit ( 1 );
	}

for ( i=0; i<nrow ; i++ )
	{
	if ( ( code = read ( 0,buf,record ) ) != record )
		{
		if ( code == -1 )
			{
			fprintf ( stderr," read error %d %s\n",code,p );
			exit ( 1 );
			}
		else
			exit ( 0 );
		}
	if ( isafile == 1 )
		{
		if ( ( code = read ( file,numbuf,record ) ) != record )
			{
			if ( code == -1 )
				{
				fprintf ( stderr," read error %d %s\n",code,p );
				exit ( 1 );
				}
			else
				exit;
			}
		}
	fp = buf;
	ip = buf;
	np = numbuf;
	for ( j=0 ; j<ncol ; j++ )
		{
		if ( *np <= 0 )
			*np = 10000;
		temp = 10000 * (int)*ip++;
		temp = temp / (int)*np++;
		*fp++ = (short)temp;
		}
	if ( ( code = write ( 1,buf,record ) ) != record )
		{
		fprintf ( stderr," write error %d %s\n",code,p );
		exit ( 1 );
		}
	}
}

