/*
		plus arg <infile > outfile
		arg is signed integer constant or file name
*/

#include		<fcntl.h>
#include		<stdio.h>
#include		<stdlib.h>
#include		<errno.h>
#include		"dim.h"
main(argc,argv)
char	**argv;
int		argc;
{
char		*p;
int			file,isafile;
short		*numbuf,*buf;
int			j,i,s,code;
register	short		*np,*fp,*ip;

int			nrow,ncol,record;

sscanf ( getenv ( "XDIM" ),"%d",&ncol );
sscanf ( getenv ( "YDIM" ),"%d",&nrow );
record = 2*ncol;
if ( ncol == 0 ) 
	{
	ncol = NCOL;
	nrow = NROW;
	record = RECORD;
	}
buf = (short*)malloc ( (size_t)(2*ncol*nrow) );
numbuf = (short*)malloc ( (size_t)(2*ncol*nrow) );
/*fprintf ( stderr,"%d %d\n",ncol,nrow );*/

isafile = 0;
if ( argc > 1 )
	{
	p = *++argv;
	if ( ( *p != '+' ) && ( *p != '-' ) )
		{
		isafile = 1;
		if ( ( file = open ( p,O_RDWR ) ) < 0 )
			{
			fprintf ( stderr," open error %d %s\n",file,p );
			goto usage;
			}
		}
	else 
		{
		sscanf ( p,"%d",&i );
		s = i;
		np = numbuf;
		for ( i=0 ; i<nrow ; i++ )
			*np++ = s;
		}
	}

else
	{
usage:	fprintf ( stderr,"usage: plus arg  (arg is a file or +/-const.)\n" );
		exit ( 1 );
	}

for ( i=0; i<nrow ; i++ )
	{
	if ( ( code = read ( 0,buf,record ) ) != record )
		{
		if ( code == -1 )
			{
			fprintf ( stderr," read error %d %s\n",code,p );
			exit ( 1 );
			}
		else if ( code == 0 )
			exit ( 0 );
		}
	if ( isafile == 1 )
		{
		if ( ( code = read ( file,numbuf,record ) ) != record )
			{
			if ( code == -1 )
				{
				fprintf ( stderr," read error %d %s\n",code,p );
				exit ( 1 );
				}
			else if ( code == 0 )
				exit(0);
			}
		}
	fp = buf;
	ip = buf;
	np = numbuf;
	for ( j=0 ; j<ncol ; j++ )
		{
		*fp++ = *ip++ + *np++;
		}
	if ( write ( 1,buf,code ) != code )
		{
		fprintf ( stderr," write error %d %s\n",code,p );
		exit ( 1 );
		}
	}
}

