;This procedure is intended for use as part of the CHIAS system.  This system
;has been developed by the HAO CHIP project to facilitate the initial
;quality assurance procedures required for new CHIP data.  Please make
;no changes to any of the files in this directory without first contacting
;CHIP personnel.
;
;   Questions regarding CHIAS should be directed to:
;
;			Ray Wrigley     FL2 3084  x1588
;			Alice Lecinski  FL2 3037  x1523
;
;   This module is called only once at the start of the session.  Its only
;   purpose is to display the arguably unnecessary title screen in the
;   plot window.
;
pro chias_title
@chias_common

wset, plot_index1		;Set plot to draw widget.
_a=bytarr(256) & _b=_a & _c=_a
_a(1)=  1 & _b(1)=255 & _c(1)=255    ;cyan
_a(2)=255 & _b(2)=  1 & _c(2)=255    ;magenta
_a(3)=255 & _b(3)=255 & _c(3)=  1    ;yellow
_a(4)=255 & _b(4)=  1 & _c(4)=  1    ;red
_a(5)=  1 & _b(5)=255 & _c(5)=  1    ;green
_a(6)=  1 & _b(6)=  1 & _c(6)=255    ;blue
tvlct,_a,_b,_c
set_xy, 0, wxsz, 0, wysz

xyouts, wxsz*.1, wysz*.7,  '!6 CHIAS 1.1',            size= 7,color=4
xyouts, wxsz*.3, wysz*.50, '!18 Chromospheric',       size= 2,color=3
xyouts, wxsz*.3, wysz*.45, '!18 Helium I Photoimager',size= 2,color=3
xyouts, wxsz*.3, wysz*.40, '!18 IMAGE',               size= 2,color=3
xyouts, wxsz*.3, wysz*.35, '!18 ASSESSMENT',          size= 2,color=3
xyouts, wxsz*.3, wysz*.30, '!18 SOFTWARE',            size= 2,color=3

xyouts, wxsz*.1,wysz*0.18, '!18 HIGH ALTITUDE OBSERVATORY',size=1.5,color=6
xyouts, wxsz*.1,wysz*0.14, '!18 NATIONAL CENTER FOR ATMOSPHERIC RESEARCH',$
							   size=1.5,color=6

return
end
