/***********************************************************
Name:
    mcc_status.h

Purpose:
    Store all the mcc values possibly
    to be requested by a host

Author:
    David Elmore

Date:
    Fri Jul 28 09:29:57 MDT 1995
**************************************************************/

struct    mcc_stat    {
    int    host;            /* see net.h */
    int    command;        /* see mcc_cmd.h */
    int    arg[2];
    int    pos[32];        /* see mechanism_defs.h */
    int    drive[32];
    float    analog[16];
    int    lcvr[8];
    int    mic[6];
    int    end[30];
    };

#ifdef    START
struct    mcc_stat    mcc_status;
#else
extern    struct    mcc_stat    mcc_status;
#endif

