/******************************************************************************
	Name:		mic.h

	Purpose:	Names for motor micrometers

	Author:		David Elmore

	Date:		Mon Aug 21 14:44:21 MDT 1995

******************************************************************************/


#include	<stdio.h>

#define		NUM_MIC		6
#define		MIC_1_CEN	11782.
#define		MIC_2_CEN	16210.
#define		MIC_3_CEN	21000.
#define		MIC_4_CEN	20000.
#define		MIC_5_CEN	15070.
#define		MIC_6_CEN	4200.

#ifdef START

int		mic_fd = 0;
float	mic_pos[NUM_MIC] = {0,0,0,0,0,0};
char	*mic_name[NUM_MIC] = {
			"CHIP Camera Z",
			"CHIP O1 X",
			"CHIP O1 Y",
			"dPMon/LowK C1 X",
			"dPMon/LowK C1 Y",
			"dPMon/LowK C1 Z",
			};
			
#else 

extern	int		mic_fd;
extern	float	mic_pos[NUM_MIC];
extern	char	*mic_name[NUM_MIC];

#endif

