/*
                readlist  (filenm,list)
                writelist (filenm,list)

                Reads  a list of files from the file "filenm"
		or
                Writes a list of files to   the file "filenm"

*/


#include                <stdio.h>
#include                "dim.h"

int
readlist(filenm,list,num,len) char *filenm, *list; int num,len;
{
    int  ii;
    char *w;
    FILE *fid;

    if ( ! ( fid = fopen(filenm,"r") ) ) {
	fprintf(stderr,"Error openning %s for reading.\n",filenm);
	exit(-90);
    }
    w=list;
    for(ii=0;ii<num;ii++){
	fscanf(fid,"%s",w);
	w+=len;;
    }
    fclose(fid);
}

int
writelist(filenm,list,num,len) char *filenm, *list; int num,len;
{
    int  ii,doprint=0;
    char *w;
    FILE *fid;

    if ( ! ( fid = fopen(filenm,"w") ) ) {
	fprintf(stderr,"Error openning %s for writing.\n",filenm);
	exit(-90);
    }
    if(doprint) fprintf(stderr,"Writing to %s:\n",filenm);
    w=list; 
    for(ii=0;ii<num;ii++){
        if(doprint) fprintf(stderr,"\t%s\n",w);   
        fprintf(fid,"%s\n",w);   
        w+=len; 
    }   
    fclose(fid);
}
