/*
    getchipflat  needs a "bias" file and then the various "paint" files.

    It expects 16-bit (short) images of dimensions 1534 (x-direction, columns)
						   1030 (y-direction, row)
    
    These are given in the file "dim.h" as NCOL and NROW, respectively.


    Defined varibles of particular note are:

    #define CDIAM   (840.)       an approximate solar diameter in pixels.
			         defined in --> getchipflat.c            

    #define MNSOB ( -500.)       The sobel minimum must be less than this,
				 or it isn't a real edge.
			         Defined in --> findshift.c


    ****** You will have to provide values of CDIAM and MNSOB
    ****** that are appropriate for your data.

    Idiocincracies!!!!!!!
	Note that if the disk is too close to the edge "findshift"
	will give incorrect "shifts".  This is because the pseudo-sobel
	function used to find the edge is of dimension 11.
	This is why MNSOB is used in findshift for an error check 
	while trying to find the top and bottom edges.  The disk
	in our data was getting too close to the top and bottom,
	and hence the criteria of MNSOB was added.
	---> There is also a routine to *pad* the data before 
	     getting to findshift.   This is routine find_shft,
	     which calls findshift for you with the padded image.
	     If you need padding, call find_shft from "getchipflat" instead of
	     findshift

	All paint images are normalized to NORM.  This is
	defined in dim.h


    ----- Alice Lecinski  (alice@ucar.edu) March, 1996


*/
