#include <stdio.h>
#include <math.h>

int
do_lst(a,b,R,xarry,yarry,nn,diode)
    float *a,*b,*R,*xarry,*yarry;
    int nn,diode;
{
    float sumx,sumy,sumx2,sumy2,sumxy,SXY,SXX,SYY,Num;
    float xlst,ylst,temp;
    float *xx , *yy ;
    double sqrt();
    int ii;

    sumx=sumy=sumx2=sumy2=sumxy=SXY=SXX=SYY=Num=0.;

    Num = (float)nn;
    xx=xarry; yy=yarry;

    for(ii=0;ii<nn;ii++){
	xlst = *xx++;
	ylst = *yy++;
	sumx = sumx + xlst;            /* Fill up least squares sums */
	sumy = sumy + ylst;
	sumx2 = sumx2 + xlst * xlst;
	sumy2 = sumy2 + ylst * ylst;
	sumxy = sumxy + xlst * ylst;
    }

    SXY = Num * sumxy - sumx * sumy;
    SXX = Num * sumx2 - sumx * sumx;
    SYY = Num * sumy2 - sumy * sumy;
    /*   Then, in the equation y = a  + b*x,                            *
    *         a = sumy/Num - b*sumx/Num                                 *
    *         b = SXY/SXX,                                              *
    *         and the correlation coefficient is  SXY/sqrt(SXX*SYY).    */
    *b = SXY / SXX;
    *a = sumy/Num  - (*b)*sumx/Num;
    temp = SXX * SYY;                   if(temp<0.0) temp *= -1.0;
    temp = SXY / sqrt((double)temp);    if(temp<0.0) temp *= -1.0;
    *R = temp;

    if(diode!=0)
	fprintf(stdout,"\t\t\tDiode %d, a=%.2e b=%.2e R=%.2f\n",diode,*a,*b,*R);
}
