#include                <stdio.h>
#include                <stdlib.h>
#include                <math.h>
#include                <errno.h>
#include                <fcntl.h>

#define START
#include                "dim.h"
#include                "shift.h"

#include                "acos.h"
#include                "acos_header.h"

#include                "params.h"

#define SLN      120        /* string length of filenames. */


short   himg[IMSZ];
float  fhimg[IMSZ], fdimg[IMSZ];

char  *ff ;
char  Hf[SLN];

struct acos_header acos_h, *ah;

main(an,av) int an; char *av[];
{
    int   ii,jj,kk;
    char  *w, *ww;
    short *ip;
    float *fp;
    float diam, xshi,yshi;
    void  findshiftPICS();

    diam=677.;

    nrow = NROW;
    ncol = NCOL;
    imsz = IMSZ;
    im_nbytes=sizeof(short)*imsz;

    ah = &acos_h;

    if ( an <= 1 ) { prsum() ; exit(3) ; }
 
    while (--an) { /* Read in any arguments, and the image filenames. */
        w = *++av ;
        if (*w == '?') { prsum(); exit(2); }
        if (*w == '-') { /* Check for flag arguments. */
            switch (w[1]) {
		default :
                            fprintf (stderr," unknown flag %s\n",*av);
                            prsum(); exit(1);
            }
	}
	else {
	    sprintf(Hf,w);
	    fprintf(stderr,"%s is Hf\n",Hf);
	}
    }


    readimg(Hf,himg); rereadhdr(himg,ah); z9hdr(himg); zero_shifts(himg,ah);

    findshiftPICS(himg, ncol, nrow, &xshi, &yshi, &diam) ;

    fprintf(stderr,"xshi, yshi, diam %.2f %.2f %.2f\n",xshi,yshi,diam);


}

prsum() {
    static char help[] = "\
testshft [file]\n\
\n\
Example:              testshft disc_19_33\n\
\n\
Flags   Description\n\
-----   -----------\n\
";
 
       fputs (help,stderr);
}
