pro findlimb

;	Idl pro to find a fit to the shape of the limb
;	this is a test routine
;
xdim = 1534
ydim = 1032
xcen = (xdim-1)/2
ycen = (ydim-1)/2
rad = 190
band = 64
img=intarr(xdim,ydim)
fit=intarr(xdim,ydim)

top:
openr,1,'idlimage'
readu,1,img
close,1
c=intarr(2*rad+1)
d=c
x = d
cfit = c
dfit = d

for i=-rad,rad do c(i+rad)=max(img(i+xcen,ycen-band:ycen+band))
for i=-rad,+rad do d(i+rad)=max(img(xcen-band:xcen+band,i+ycen))
for i=-rad,+rad do x(i+rad)=i
plot,x,c,yrange=[min(c),max(c)],psym=1
oplot,x,d,psym=2
ccoeff = poly_fit(x,c,2,cfit)
dcoeff = poly_fit(x,d,2,dfit)
print,ccoeff(0),ccoeff(1),ccoeff(2)
print,dcoeff(0),dcoeff(1),dcoeff(2)
oplot,x,cfit
oplot,x,dfit
stop

goto, top

end

