/*
                Bin
*/

#include                <stdio.h>
#include                <stdlib.h>
#include                <errno.h>
#include                "dim.h"

main(argc,argv)
char                **argv;
int                argc;
{
    char                *p;
    int                        code,read(),write();
    short                *buf,*in;
    register        int                        nc,i,j,s;
    register        short                temp,*ip,*fp,*op;
    
    int                        nrow,ncol,record;
    
    sscanf ( getenv ( "XDIM" ),"%d",&ncol );
    sscanf ( getenv ( "YDIM" ),"%d",&nrow );
    record = 2*ncol;
    if ( ncol == 0 ) 
            {
            ncol = NCOL;
            nrow = NROW;
            record = RECORD;
            }
    buf = (short*)malloc ( (size_t)(2*ncol) );
    in = (short*)malloc ( (size_t)(2*ncol) );
    /*fprintf ( stderr,"bin: %d %d\n",ncol,nrow );*/
    
    
    for ( i=0; i<(nrow/2) ; i++ ) {
	if ( ( code = read ( 0,buf,record ) ) != record ) {
	    if ( code < 0 ) {
		fprintf ( stderr,"bin: read error %d \n",code );
		exit ( 1 );
	    }
	}
	if ( ( code = read ( 0,in,record ) ) != record ) {
	    if ( code < 0 ) {
		fprintf ( stderr,"bin: read error %d \n",code );
		exit ( 1 );
	    }
	}

	fp = buf;
	ip = in;
	op = buf;
	nc = ncol;
	for ( j=0 ; j<nc ; j++ ) {
	    temp  = *ip++; 
	    temp += *ip++; 
	    temp += *fp++; 
	    temp += *fp++; 
	    *op++ = temp/4;
	}
	if ( ( code = write ( 1,buf,record/2 ) ) != record/2 ) {
	    fprintf ( stderr," write error %d \n",code );
	    exit ( 1 );
	}
    }
}
