/*
        Get_sum

        get_sum < filename
        Extract number of images summed from header
*/


#include        <stdio.h>
#include        <stdlib.h>
#include        <errno.h>
#include        <math.h>
#include        "dim.h"

main(argc,argv)
char        **argv;
int        argc;
{
    int            code,read();
    int            *img,nrow,ncol,record;
    
    sscanf ( getenv ( "XDIM" ),"%d",&ncol );
    sscanf ( getenv ( "YDIM" ),"%d",&nrow );
    record = 2*ncol;
    if ( ncol == 0 ) {
        ncol = NCOL;
        nrow = NROW;
        record = RECORD;
    }
    img = (int*)malloc ( (size_t)(2*ncol) );
    
    if ( ( code = read( 0,img,record ) ) != record ) {
            fprintf ( stderr,"get_sum: read error %d\n",code );
            exit ( 1 );
    }
    
    img += 9;
    
    fprintf ( stdout,"%d\n",*img );
}
