/*
	Normalize an acos image to 8 exposures
	from whatever it was before.
	norm < file > other_file
*/


#include		<stdio.h>
#include		<stdlib.h>
#include		<errno.h>
#include		<fcntl.h>
#include		<math.h>
#include		"dim.h"

main(argc,argv)
char		**argv;
int			argc;
{
int			n_exp,ii,jj,read(),write();
short		stot,*img,*ip;
float		temp;
int			*hp;
int			nrow,ncol,record;

sscanf ( getenv ( "XDIM" ),"%d",&ncol );
sscanf ( getenv ( "YDIM" ),"%d",&nrow );
record = 2*ncol;
if ( ncol == 0 ) 
	{
	ncol = NCOL;
	nrow = NROW;
	record = RECORD;
	}
img = (short*)malloc ( (size_t)(2*ncol*nrow) );


/* Copy in and out the header row */
	read ( 0,img,record );
	write ( 1,img,record);
	hp = (int*)img;
	hp += 9;
	n_exp = *hp;
fprintf ( stderr,"%d exposures\n",n_exp );

for ( jj=1; jj<nrow ; jj++)
	{
	read ( 0,img,record );
	ip = img;
	for ( ii=0 ; ii<ncol ; ii++ )
		{
		temp = *ip;
		temp = temp * 8.;
		temp = temp/(float)n_exp;
		*ip++ = (short)temp;
		}
	write ( 1,img,record);
	}

exit ( 0 );

}

