/*
        Total

        total limit < filename
        Compute total of the array
	Skip first rows thought to contain a header
*/


#include        <stdio.h>
#include        <stdlib.h>
#include        <errno.h>
#include        <math.h>
#include        "dim.h"

main(argc,argv)
char        **argv;
int        argc;
{
    char        *p;
    int            i,j,code,read(),write();
    double        limit,total;
    short        *img;
    register    short    *ip;
    
    int            nrow,ncol,record;
    
    sscanf ( getenv ( "XDIM" ),"%d",&ncol );
    sscanf ( getenv ( "YDIM" ),"%d",&nrow );
    record = 2*ncol;
    if ( ncol == 0 ) {
        ncol = NCOL;
        nrow = NROW;
        record = RECORD;
    }
    img = (short*)malloc ( (size_t)(2*ncol*nrow) );
    
    
    if ( argc > 1 ) {
        p = *++argv;
        sscanf ( p,"%lf",&limit );
    }
    
    if ( ( code = read( 0,img,record*nrow ) ) != record*nrow ) {
            fprintf ( stderr,"total: read error %d\n",code );
            exit ( 1 );
    }
    /*fprintf ( stderr,"%d %d %f\n",ncol,nrow,limit );*/
    
/* point to second row */
    ip = img;
    ip += ncol;
    total = 0.;
    for ( j=1 ; j<nrow ; j++ )
        for ( i=0 ; i<ncol ; i++ )
            total += (double)*ip++;
    
    total = total/(double)ncol;
    total = total/(double)(nrow-1);
    
    fprintf ( stdout,"%lf\n",total );
    
    total = fabs(total);
    if ( total < limit )
        exit ( 1 );
    else
        exit ( 0 );
}
