/*
    Right
*/

#include        <stdio.h>
#include        <stdlib.h>
#include        <errno.h>
#include        "dim.h"
main(argc,argv)
char    **argv;
int        argc;
{
    char      *p;
    int       j,i,code,read(),write();
    short     *buf;
    register  short        s,*fp,*ip;
    
    int            nrow,ncol,record,im_nbytes,imsize;

    sscanf ( getenv ( "XDIM" ),"%d",&ncol );
    sscanf ( getenv ( "YDIM" ),"%d",&nrow );
    record = 2*ncol;
    if(ncol==0) {ncol=NCOL;nrow=NROW;record=RECORD;}
    imsize    = nrow*ncol;
    im_nbytes = sizeof(short)*imsize;

    /*fprintf ( stderr,"%d %d\n",ncol,nrow );*/

    buf = (short*)malloc ( (size_t)(im_nbytes) );

    s=0;
    
    if ( argc > 1 ) {
        p = *++argv;
        sscanf ( p,"%d",&i );
        s = i;
        if ( s > 15 ) {
            fprintf ( stderr,"usage: right [n]  n<16\n" );
            exit ( 1 );
        }
    }
    
    {
        if ( ( code = read ( 0,buf,im_nbytes ) ) != im_nbytes ) {
            if ( code == -1 ) {
                fprintf ( stderr,"right: read error %d %s\n",code,p );
                exit ( 1 );
            }
            else if ( code == 0 )
                exit ( 0 );
        }
        fp = buf;
        ip = buf;
        for ( j=0 ; j<imsize ; j++ ) {
            *fp++ = *ip++ >> s;
        }
        if ( ( code = write ( 1,buf,im_nbytes ) ) != im_nbytes ) {
            fprintf ( stderr," write error %d %s\n",code,p );
            exit ( 1 );
        }
    }
}
